
%global meadversion 2.10.0
%global namedversion 2.10.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package apache-commons-io}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.10.0.redhat-00001

Name:           %{?scl_prefix}apache-commons-io
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons IO
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: commons-io-2.10.0.redhat-00001-project-sources.tar.gz
Source102: commons-io-2.10.0.redhat-00001-javadoc.jar
Source103: commons-io-2.10.0.redhat-00001-sources.jar
Source104: commons-io-2.10.0.redhat-00001-tests.jar
Source105: commons-io-2.10.0.redhat-00001-test-sources.jar
Source106: commons-io-2.10.0.redhat-00001.jar
Source107: commons-io-2.10.0.redhat-00001.pom
%endif

URL:            http://commons.apache.org/io/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/commons-io-%{namedversion}-%{release}-root

%description
The Commons IO library contains utility classes, stream
implementations, file filters, file comparators and endian classes.

%if %with javadoc
%package javadoc
Summary:        Javadoc for commons-io
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n commons-io-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/commons-io-%{namedversion}.jar %{buildroot}%{_javadir}/commons-io-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/commons-io-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-io-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/commons-io-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-io-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/commons-io-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/commons-io-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/commons-io-%{namedversion} -x META-INF/\*
%{__ln_s} commons-io-%{namedversion} %{buildroot}%{_javadocdir}/commons-io
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt README.md  CONTRIBUTING.md
%dir %{_javadir}
%{_javadir}/commons-io-%{namedversion}.jar
%{_javadir}/commons-io.jar
%if %with javadoc
%exclude %{_javadir}/commons-io-%{namedversion}-javadoc.jar
%exclude %{_javadir}/commons-io-javadoc.jar
%endif
%{_javadir}/commons-io-%{namedversion}-sources.jar
%{_javadir}/commons-io-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/commons-io-%{namedversion}
%{_javadocdir}/commons-io
%endif

%changelog
* Thu Jul 15 2021 cpaas-ops <cpaas-ops@redhat.com> - 2.10.0-1.redhat_00001.1
Built by CPaaS

* Fri Mar 19 2021 Yong Yang <yyang@redhat.com> - 2.8.0-1.redhat_00001.1
- 2.8.0.redhat-00001

* Mon Sep 30 2019 Yong Yang <yyang@redhat.com> - 2.6.0-1.redhat_00001.1
- RPM wrapper build 2.6.0.redhat-00001

* Mon Jun 11 2018 Permaine Cheung <pcheung@redhat.com> - 2.5.0-4.redhat_3.1
- Rewrap for 7.2.0

* Thu May 03 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.5.0-3.redhat_3.1
- upgrade to 2.5.0.redhat-3

* Thu May 03 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.5.0-3.redhat_3.1
- upgrade to 2.5.0.redhat-3

* Thu Jan 19 2017 Petr Sakar <psakar@redhat.com> - 2.5.0-2.redhat_2.1
- upgrade to 2.5.0.redhat-2

* Thu Jan 19 2017 Petr Sakar <psakar@redhat.com> - 2.5.0-1.redhat_1.2
- upgrade to 2.5.0.redhat-1

* Wed Jul 15 2015 Permaine Cheung <pcheung@redhat.com> - 2.4.0-1.redhat_1.2
- EAP 7 build

* Wed Jul 15 2015 Permaine Cheung <pcheung@redhat.com> - 2.4.0-1.redhat_1.2
- EAP 7 build

* Wed Jul 15 2015 Permaine Cheung <pcheung@redhat.com> - 2.4.0-1.redhat_1.2
- EAP 7 build

* Tue Jul 14 2015 Permaine Cheung <pcheung@redhat.com> - 2.4.0-1.redhat_1.2
- EAP 7 build

* Tue Dec 02 2014 Hui Wang <huwang@redhat.com> - 2.1.0-1.redhat_4.1
- OSGI version fix rebuild

* Thu Jan 09 2014 David Walluck <dwalluck@redhat.com> - 2.1-8.redhat_3.1
- fix dir

* Thu Jan 09 2014 David Walluck <dwalluck@redhat.com> - 2.1-8.redhat_3.1
- fix dir

* Thu Jan 09 2014 David Walluck <dwalluck@redhat.com> - 2.1-8.redhat_3.1
- fix dir

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> - 2.1-7.redhat_3.1
- resubmit wrapper only

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> - 2.1-7.redhat_3.1
- resubmit wrapper only

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> - 2.1-7.redhat_3.1
- resubmit wrapper only

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> 0:2.1-7
- convert to MEAD

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-6.redhat_2.1
- Rebuild for MD5

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-5.redhat21.1
- Bump suffix

* Mon Jul 23 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-4.redhat_1.1
- Rebuild without signing

* Fri May 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-4.redhat_1
- Clean MANIFEST.MF

* Fri Apr 27 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-3.redhat_1
- Include sources in SRPM

* Wed Apr 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-1.redhat_1
- EAP6 Wrapper of apache-commons-io

